Class | Fog::Rackspace::BlockStorage::Volume
In: | lib/fog/rackspace/models/block_storage/volume.rb
Parent: | Fog::Model

### Methods

attached? destroy ready? save snapshots

### Constants

AVAILABLE | = | 'available'
ATTACHING | = | 'attaching'
CREATING | = | 'creating'
DELETING | = | 'deleting'
ERROR | = | 'error'
ERROR_DELETING | = | 'error_deleting'
IN_USE | = | 'in-use'

### Public Instance methods

attached?()
destroy()
ready?()
save()
snapshots()

[Validate]